export interface AsyncStorage {
    getItem(key: string): Promise<string | null>;
    setItem(key: string, val: string): Promise<void>;
}
export declare class LocalStorage implements AsyncStorage {
    getItem(key: string): Promise<string | null>;
    setItem(key: string, val: string): Promise<void>;
}
export declare class ServerSideStorage implements AsyncStorage {
    private store;
    getItem(key: string): Promise<string | null>;
    setItem(key: string, val: string): Promise<void>;
}
declare const theStorage: AsyncStorage;
export default theStorage;
